Package org.apache.commons.compress.harmony.unpack200.bytecode

# Class CPClass

java.lang.Object
org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry
org.apache.commons.compress.harmony.unpack200.bytecode.ConstantPoolEntry
org.apache.commons.compress.harmony.unpack200.bytecode.CPClass

public class CPClass extends ConstantPoolEntry
Constant pool entry for a class

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `name`

  ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ConstantPoolEntry

  `CP_Class, CP_Double, CP_Fieldref, CP_Float, CP_Integer, CP_InterfaceMethodref, CP_Long, CP_Methodref, CP_NameAndType, CP_String, CP_UTF8, globalIndex`

  ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry

  `NONE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CPClass(CPUTF8 name, int globalIndex)`
  Creates a new CPClass

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `String`
  `getName()`
  `protected ClassFileEntry[]`
  `getNestedClassFileEntries()`
  `int`
  `hashCode()`
  `protected void`
  `resolve(ClassConstantPool pool)`
  Allows the constant pool entries to resolve their nested entries.
  `String`
  `toString()`
  `protected void`
  `writeBody(DataOutputStream dos)`

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ConstantPoolEntry

  `doWrite, getGlobalIndex, getTag`

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry

  `objectHashCode, write`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### name

    public String name

- ## Constructor Details

  - ### CPClass

    public CPClass(CPUTF8 name, int globalIndex)
    Creates a new CPClass
    Parameters:
      `name` - TODO
      `globalIndex` - index in CpBands
    Throws:
      `NullPointerException` - if name is null

- ## Method Details

  - ### equals

    public boolean equals(Object obj)
    Specified by:
      `equals` in class `ConstantPoolEntry`

  - ### getName

    public String getName()

  - ### getNestedClassFileEntries

    protected ClassFileEntry[] getNestedClassFileEntries()
    Overrides:
      `getNestedClassFileEntries` in class `ClassFileEntry`

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in class `ConstantPoolEntry`

  - ### resolve

    protected void resolve(ClassConstantPool pool)
    Description copied from class: `ClassFileEntry`
    Allows the constant pool entries to resolve their nested entries.
    Overrides:
      `resolve` in class `ClassFileEntry`
    Parameters:
      `pool` - TODO

  - ### toString

    public String toString()
    Specified by:
      `toString` in class `ClassFileEntry`

  - ### writeBody

    protected void writeBody(DataOutputStream dos) throws IOException
    Specified by:
      `writeBody` in class `ConstantPoolEntry`
    Throws:
      `IOException`